% plot of logistic map iterates on [0,1]

a = 3.9;                       % multiplication parameter
N = 3;                         % number of iterates to be plotted

x = 0:.001:1;
f = zeros(N,1001);
f(1,:) = a*x.*(1-x);
for j=2:N
    f(j,:) = a*f(j-1,:).*(1-f(j-1,:));
end

% plot the iterates

figure(1)
plot(x,f,x,x)
xlabel x, ylabel f^j(x)
  

